#include <atmel_start.h>

#include "usb_debug.h"

int main(void)
{
	/* Initializes MCU, drivers and middleware */
	atmel_start_init();
        int i = 0;

	adc_sync_enable_channel(&ADC_0, 0);

        uint16_t adc_val;
        float adc_temp;

        struct io_descriptor *I2C_0_io;
        int n_written = 0;

        i2c_m_sync_get_io_descriptor(&I2C_0, &I2C_0_io);
        i2c_m_sync_enable(&I2C_0);
        i2c_m_sync_set_slaveaddr(&I2C_0, 0x12, I2C_M_SEVEN);

	/* Replace with your application code */
	while (1) {
                delay_ms(500);
                gpio_toggle_pin_level(LED);
                if (i++ % 2) {
                        adc_sync_read_channel(&ADC_0, 0, (uint8_t*)&adc_val, 2);
                        adc_temp = ((adc_val / 4095.0) - 0.6)/0.01;
                        n_written = io_write(I2C_0_io, (uint8_t *)"Hello World!", 12);
                        debug("iter %d, temp=%.1f, written=%d", i/2, adc_temp, n_written);
                }
	}
}
